Update a visit
curl --request PUT \
--url https://api.spacebring.com/visitors/visits/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"visit": {
"date": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}
'{
"visit": {
"code": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>",
"address": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}Visitors
Update a visit
Update a visit by id.
OAuth
Required scopes:visitorsPUT
/
visitors
/
visits
/
v1
/
{id}
Update a visit
curl --request PUT \
--url https://api.spacebring.com/visitors/visits/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"visit": {
"date": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}
'{
"visit": {
"code": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>",
"address": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userHost": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"userRefHost": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userRefVisitor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"visitor": {
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"checkOutDate": "2023-11-07T05:31:56Z",
"comment": "<string>"
}
}Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Path Parameters
The id of the visit
Body
application/json
Visit fields to update.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I